This is Benchmark.info, produced by Macaulay2, version 1.25.05

Benchmark -- standard Macaulay2 benchmarks
******************************************

Description
===========

This package provides some standard benchmarks for gauging the speed of
algorithms and machines.

Authors
=======

  * Daniel R. Grayson (see http://www.math.uiuc.edu/~dan/ ) <dan@math.uiuc.edu>
  * Michael E. Stillman (see
    http://www.math.cornell.edu/People/Faculty/stillman.html )
    <mike@math.cornell.edu>

Version
=======

This documentation describes version 1.0 of Benchmark.

Citation
========

If you have used this package in your research, please cite it as follows:

+---------------------------------------------------------------------------+
|@misc{BenchmarkSource,                                                     |
|  title = {{Benchmark: standard \emph{Macaulay2} benchmarks. Version~1.0}},|
|  author = {Daniel R. Grayson and Michael E. Stillman},                    |
|  howpublished = {A \emph{Macaulay2} package available at                  |
|    "https://macaulay2.com/"}                                              |
|}                                                                          |
|                                                                           |
+---------------------------------------------------------------------------+

Exports
=======

  * Functions and commands
      * runBenchmarks

For the programmer
==================

The object Benchmark, is a package (Macaulay2Doc),
defined in Benchmark.m2.

-------------------------------------------------------------------------------

The source of this document is in Benchmark.m2:297:0.

runBenchmarks
*************

  * Usage:
        runBenchmarks
        runBenchmarks x
        runBenchmarks all
  * Inputs:
      * x, a string or list of strings
  * Consequences:
      * the benchmarks whose names occur in x are run.  The output is in a
        standard format that can be inserted into a Macaulay2 source file as a
        comment. If x is omitted, then the "res39", "resG25", and "gbB148" are
        run. If x is all, then all the benchmarks are run.

Description
===========

The tests available are: "deg2generic" -- gb of a generic ideal of codimension
2 and degree 2"gb4by4comm" -- gb of the ideal of generic commuting 4 by 4
matrices over ZZ/101"gb3445" -- gb of an ideal with elements of degree 3,4,4,5
in 8 variables"gbB148" -- gb of Bayesian graph ideal #148"res39" -- res of a
generic 3 by 9 matrix over ZZ/101"resG25" -- res of the coordinate ring of
Grassmannian(2,5)"yang-gb1" -- an example of Yang-Hui He arising in string
theory"yang-subring" -- an example of Yang-Hui He

+-----------------------------------------------------------------------------+
|i1 : runBenchmarks "res39"                                                   |
|-- beginning computation Thu May 15 13:46:01 UTC 2025                        |
|-- Linux fv-az1796-852 6.11.0-1014-azure #14~24.04.1-Ubuntu SMP Thu Apr 24   |
|-- AMD EPYC 7763 64-Core Processor  AuthenticAMD  cpu MHz 3243.488           |
|-- Macaulay2 1.25.05, compiled with gcc 13.3.0                               |
|-- res39: res of a generic 3 by 9 matrix over ZZ/101: .155896 seconds        |
|-----------------------------------------------------------------------------|
|17:41:03 UTC 2025 x86_64 x86_64 x86_64 GNU/Linux                             |
+-----------------------------------------------------------------------------+

For the programmer
==================

The object runBenchmarks, is a command (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in Benchmark.m2:297:0.